## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate gstreamer-audio

Name:           rust-%{crate}
Version:        0.17.2
Release:        %autorelease
Summary:        Rust bindings for GStreamer Audio library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/gstreamer-audio
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rust bindings for GStreamer Audio library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT COPYRIGHT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages
which use "dox" feature of "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v1_10-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_10-devel %{_description}

This package contains library source intended for building other packages
which use "v1_10" feature of "%{crate}" crate.

%files       -n %{name}+v1_10-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v1_12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_12-devel %{_description}

This package contains library source intended for building other packages
which use "v1_12" feature of "%{crate}" crate.

%files       -n %{name}+v1_12-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v1_14-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_14-devel %{_description}

This package contains library source intended for building other packages
which use "v1_14" feature of "%{crate}" crate.

%files       -n %{name}+v1_14-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v1_16-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_16-devel %{_description}

This package contains library source intended for building other packages
which use "v1_16" feature of "%{crate}" crate.

%files       -n %{name}+v1_16-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v1_18-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_18-devel %{_description}

This package contains library source intended for building other packages
which use "v1_18" feature of "%{crate}" crate.

%files       -n %{name}+v1_18-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v1_20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_20-devel %{_description}

This package contains library source intended for building other packages
which use "v1_20" feature of "%{crate}" crate.

%files       -n %{name}+v1_20-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Aug 06 2021 Fabio Valentini <decathorpe@gmail.com> 0.17.2-1
- Update to version 0.17.2; Fixes RHBZ#1990507

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> 0.17.0-2
- Fix generated code for big-endian architectures

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#1977071

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.7-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.16.7-1
- Update to version 0.16.7.
- Fixes RHBZ#1928370

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.5-1
- Update to version 0.16.5.
- Remove features with broken dependencies.
- Fixes RHBZ#1900587

* Sun Oct 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.4-1
- Update to version 0.16.4.

* Wed Sep 09 2020 Josh Stone <jistone@redhat.com> - 0.16.3-1
- Update to 0.16.3

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 0.16.2-1
- Update to 0.16.2

* Thu Jul 09 2020 Josh Stone <jistone@redhat.com> - 0.16.0-1
- Update to 0.16.0

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.15.7-1
- Update to 0.15.7

* Tue May 05 2020 Josh Stone <cuviper@gmail.com> - 0.15.5-1
- Update to 0.15.5

* Mon Feb 17 11:22:30 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.3-1
- Update to 0.15.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.15.0-1
- Update to 0.15.0

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.14.5-1
- Update to 0.14.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 05 19:53:36 EEST 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- Initial package

